{% extends 'base.html' %}
{% load dictTag %}
{% block title %} Upload File {% endblock %}

{% block content %}

    <div class="container-fluid">
        <form class="form-control row g-3" method="post">
            {% csrf_token %}
            <div class="row">
                <div class="col-5 mt-lg-5">
                    {% for key in search_metadata %}
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <label class="input-group-text" id="inputGroup-sizing-default">{{ key }}</label>
                            </div>
                            <input type="text" id="fktext" class="form-control" aria-label="{{ key }}"
                                   aria-describedby="inputGroup-sizing-default"
                                   value="{{ search_metadata|get_item:key }}">
                        </div>
                    {% endfor %}
                </div>
                <div class="col-7">
                    <embed src={{ filename.url }}#toolbar=0&navpanes=0&scrollbar=0'
                           style="width:900px; height:900px;"
                           frameborder="0" content_type='application/pdf'>
                </div>
            </div>
            <button class="btn btn-success btn-sm" type="submit" id="button">Update</button>
            <div class="hidden" style="display:none">
                {{ form.as_p }}
            </div>
        </form>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            $('#button').mouseenter(function () {
                var labels = [];
                $('[id=inputGroup-sizing-default]').each(function () {
                    labels.push($(this).text());
                });

                var text = [];
                $('[id=fktext]').each(function () {
                    text.push($(this).val());
                });

                var obj = "";
                for (var i = 0, l = labels.length; i < l; i++) {
                    obj += "'" + labels[i] + "':'" + text[i]+"',";

                }
                {#document.getElementById("id_search_metadata").value ='{' + obj + '}'#}
                $('#id_search_metadata').attr('value','{' + obj + '}');
            });
        });
    </script>
{% endblock %}

